
from fastapi import FastAPI, HTTPException
from pydantic import BaseModel
import random

class Item(BaseModel):
    name: str
    price: float

app = FastAPI()

@app.post("/items/")
def create_item(item: Item):
    # Generate a random price for the item
    item.price = random.uniform(1.0, 100.0)
    return item

